Bug 110028 - aspell-es and kde-i18n-Spanish doesn't get installed in Spanish installation.
aspell-es and kde-i18n-Spanish doesn't get installed in Spanish installation.
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-11-14 00:09 EST by Alejandro Gonzalez Hernandez - Imoq
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-21 14:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda-ks.cfg (1.21 KB, text/plain)
2003-11-14 15:35 EST, Mike McLean
no flags Details
install.log (46.03 KB, text/plain)
2003-11-14 15:36 EST, Mike McLean
no flags Details
/etc/sysconfig/i18n (101 bytes, text/plain)
2003-11-14 15:40 EST, Mike McLean
no flags Details

  None (edit)
Description Alejandro Gonzalez Hernandez - Imoq 2003-11-14 00:09:33 EST
Description of problem:

I chose the English language for installation and also chose the
Engliash language for the system but I asked anaconda to install
Spanish packages as well.

Gnome Spanish version is working well but anaconda didn't install the
"aspell-es" neither the "kde-i18n-Spanish" (I installed KDE also), and
I consider important those packages to be installed if you as for a
Spanish language support.

How reproducible:


Steps to Reproduce:
1. Boot Fedora Core 1 CD, install in English.
2. Choose English as the primary language.
3. Choose Spanish as the secondary language.
Actual results:

aspell-es and kde-i18n-Spanish don't get installed.

Expected results:

aspell-es and kde-i18n-Spanish get installed along the other RPMs.

Additional info:

It's not a big deal, I can easily install those packages from the CD,
but I don't think it's the right thing to do, installer should do it
Comment 1 Jeremy Katz 2003-11-14 12:50:08 EST
I don't remember seeing this happen myself.  Mike, can you verify if
this happens?
Comment 2 Mike McLean 2003-11-14 15:34:50 EST

Manual vnc install, english/nfs
  Selected Spanish (Mexico) as a supported language.
  Personal Desktop w/ default packages + kde

There are several Spanish locales and the reporter didn't specifically
state which one was selected so I made a best guess (based on the
email address).

After the install I verified that neither aspell-es nor
kde-i18n-Spanish was installed.

Will attach some details.
Comment 3 Mike McLean 2003-11-14 15:35:50 EST
Created attachment 95983 [details]
Comment 4 Mike McLean 2003-11-14 15:36:17 EST
Created attachment 95984 [details]
Comment 5 Mike McLean 2003-11-14 15:40:32 EST
Created attachment 95985 [details]
Comment 6 Mike McLean 2003-11-14 16:18:26 EST
Looks like the problem arises from non-Spain spanish locales (or
possibly just es_MX).  I performed two almost identical kickstart
installs, one with es_ES on the the supported list and the other with
es_MX.  The first pulled in the appropriate aspell and kde-i18n
packages, but the second did not.
Comment 8 Jeremy Katz 2003-11-14 16:36:10 EST
Aha, this is because the comps file specifies to only install Spanish
support for es_ES.
Comment 9 Alejandro Gonzalez Hernandez - Imoq 2003-11-26 11:05:09 EST
Other package that suffers from this omission is man-pages-es

I haven't found any other (yet) that should be but doesn't get installed.
Comment 10 Alejandro Gonzalez Hernandez - Imoq 2004-03-20 19:39:47 EST

If this bug is already solved in rawhide (I haven't confirmed it is,
since it's an anaconda stuff) do you think we can close this bug?

Comment 11 Alejandro Gonzalez Hernandez - Imoq 2004-04-06 21:10:12 EDT
OK, I guess I'll have to wait for FC2 to be released to know if this
bug got fixed or not ;)
Comment 12 Alejandro Gonzalez Hernandez - Imoq 2004-05-21 14:41:12 EDT
Fixed in Fedora Core 2, thanks.

Note You need to log in before you can comment on or make changes to this bug.